@font-face {
    font-family: 'Space Mono';
    src: url('fonts/SpaceMono-Regular.woff2') format('woff2'),
        url('fonts/SpaceMono-Regular.woff') format('woff'),
        url('fonts/SpaceMono-Regular.ttf') format('truetype');
    font-weight: 400;
}

/*------ hero start ----*/
.hero {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #2b2b2b;
    color: white;
}
.hero .wrapper {
    display: flex;
    justify-content: space-between;
    gap: 35px;
}
.hero .wrapper .content {
    flex: 1;
    width: 50%;
}
.hero .wrapper .content h1 {
    font-size: 66px;
    font-weight: 600;
    line-height: 74px;
}
.hero .wrapper .content p {
    margin: 25px 0;
    color: #fff;
    font-size: 22px;
    line-height: 36px;
}
.hero .wrapper .content .button {
    display: inline-block;
    padding: 10px 50px;
    background-color: #8b5cf6;
    border-radius: 20px;
    color: white;
    text-decoration: none;
    font-size: 16px;
    gap: 12px;
}

.hero .wrapper .content .button img {
    width: 20px;
    height: 20px;
    position: relative;
    top: 4px;
}
.hero .wrapper .content .stats {
    display: flex;
    gap: 50px;
    margin-top: 20px;
}
.hero .wrapper .content .stats h4 {
    font-family: 'Space Mono bold', monospace;
    font-weight: 700;
    font-size: 28px;
    line-height: 40px;
}

.hero .wrapper .content .stats p {
    font-family: 'Work Sans', sans-serif;
    font-size: 24px;
    line-height: 38px;
}
.hero .wrapper .content .stats div {
    font-size: 24px;
    font-weight: bold;
}
.hero .wrapper .content .stats p {
    font-size: 16px;
    font-weight: 400;
    margin-top: 10px;
}
.hero .wrapper .card {
    border-radius: 20px;
    overflow: hidden;
    flex: 1;
    width: 50%;
}
.hero .wrapper .card img {
    width: 100%;
    height: 401px;
    object-fit: cover;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    display: block;
}
.hero .wrapper .card .card-footer {
    background: #3b3b3b;
    width: 100%;
    padding: 20px;
    gap: 10px;
    border-bottom-right-radius: 20px;
    border-bottom-left-radius: 20px;
}
.hero .wrapper .card .card-footer h5 {
    font-family: 'Work Sans';
    font-weight: 600;
    font-size: 22px;
    line-height: 30px;
}
.hero .wrapper .card .card-footer p {
    font-family: 'Work Sans';
    font-size: 16px;
    line-height: 22px;
}
.hero .wrapper .card .card-footer-img {
    display: flex;
    font-size: 12px;
    gap: 10px;
}
.hero .wrapper .card .card-footer-img img {
    width: 24px;
    height: 24px;
}

/*-------------------- hero end -----------------*/
@media (max-width: 1024px) {
    .hero .wrapper .content h1 {
        font-size: 46px;
        line-height: 52px;
    }
    .hero .wrapper .content .stats {
        display: flex;
        gap: 30px;
        margin-top: 10px;
    }
}

@media (max-width: 768px) {
    .hero {
        height: auto;
        padding: 40px 20px;
    }

    .hero .wrapper {
        flex-direction: column;
        align-items: center;
    }
    .hero .wrapper .content {
        width: 100%;
    }

    .hero .wrapper .content h1 {
        font-size: 38px;
        line-height: 44px;
    }

    .hero .wrapper .content p {
        font-size: 18px;
        line-height: 28px;
    }
    .hero .wrapper .content .stats {
        display: flex;
        gap: 30px;
        margin-top: 30px;
    }

    .hero .wrapper .card {
        width: 100%;
    }
}

@media (max-width: 480px) {
    .hero .wrapper {
        flex-direction: column;
        align-items: center;
    }
    .hero .wrapper .content {
        width: 100%;
    }

    .hero .wrapper .content h1 {
        font-size: 28px;
        line-height: 36px;
    }

    .hero .wrapper .content p {
        font-size: 16px;
        line-height: 24px;
    }

    .hero .wrapper .content .stats {
        flex-direction: column;
        gap: 15px;
    }
    .hero .wrapper .card {
        width: 100%;
    }
}
